aboutsummaryrefslogtreecommitdiffstats
path: root/encode-fbplus.sh
diff options
context:
space:
mode:
Diffstat (limited to 'encode-fbplus.sh')
-rwxr-xr-xencode-fbplus.sh18
1 files changed, 14 insertions, 4 deletions
diff --git a/encode-fbplus.sh b/encode-fbplus.sh
index e8cfaf8..e83f7f1 100755
--- a/encode-fbplus.sh
+++ b/encode-fbplus.sh
@@ -3,9 +3,17 @@
# Encode Frequence Banane to ZMQ tcp://*:2720
#
-WITH_GSTREAMER=1
+WITH_GSTREAMER=0
URL=http://fbpc5.epfl.ch:8000/fb_192
-BITRATE=64
+BITRATE=$1
+DSTPORT=$2
+
+if [ "$DSTPORT" == "" ]
+then
+ echo "Usage:"
+ echo " $0 <bitrate> <zmq destination>"
+ exit 1
+fi
if [ "$WITH_GSTREAMER" == "1" ]
then
@@ -16,9 +24,11 @@ then
audioconvert ! \
audio/x-raw-int, 'rate=48000,format=S16LE,channels=2' ! \
filesink location="/dev/stdout" | \
- ../fdk-aac-dabplus/aac-enc-dabplus-zmq -i /dev/stdin -b $BITRATE -f raw -a -o 'tcp://*:2720'
+ ../fdk-aac-dabplus/aac-enc-dabplus-zmq -i /dev/stdin \
+ -b $BITRATE -f raw -a -o $DSTPORT
else
mpg123 -s $URL |\
sox -t raw -r 44100 -e signed -b 16 -c 2 - -t raw - rate 48k |\
- ../fdk-aac-dabplus/aac-enc-dabplus-zmq -i /dev/stdin -b $BITRATE -f raw -a -o 'tcp://*:2720'
+ ../fdk-aac-dabplus/aac-enc-dabplus-zmq -i /dev/stdin \
+ -b $BITRATE -f raw -a -o $DSTPORT
fi